Package org.bukkit.map

# Class MapFont.CharacterSprite

java.lang.Object
org.bukkit.map.MapFont.CharacterSprite

Enclosing class:
  MapFont

public static class MapFont.CharacterSprite extends Object
Represents the graphics for a single character in a MapFont.

## Constructor Summary

Constructors
Constructor
Description
`CharacterSprite(int width, int height, @org.jetbrains.annotations.NotNull boolean[] data)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`get(int row, int col)`
Get the value of a pixel of the character.
`int`
`getHeight()`
Get the height of the character sprite.
`int`
`getWidth()`
Get the width of the character sprite.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CharacterSprite

public CharacterSprite(int width, int height, @NotNull @org.jetbrains.annotations.NotNull boolean[] data)

## Method Details

### get

public boolean get(int row, int col)
Get the value of a pixel of the character.

Parameters:
  `row` - The row, in the range [0,8).
  `col` - The column, in the range [0,8).
Returns:
  True if the pixel is solid, false if transparent.

### getWidth

public int getWidth()
Get the width of the character sprite.

Returns:
  The width of the character.

### getHeight

public int getHeight()
Get the height of the character sprite.

Returns:
  The height of the character.